<?php 
/*
Plugin Name: tigaman webdesign - Block user-related REST API
Description: Block access to user-related REST API endpoints.
Plugin URI: https://www.tigaman.com
Version: 1.0
Author: tigaman webdesign
Author URI: https://www.tigaman.hu
*/

function twd_disable_rest_users_endpoint() {
    // Block access to user-related REST API endpoints
    if (strpos($_SERVER['REQUEST_URI'], '/wp-json/wp/v2/users') !== false) {
        wp_die('REST API users endpoint is disabled.', 'REST API', array('response' => 403));
    }
}
add_action('init', 'twd_disable_rest_users_endpoint');?>